<?
/**
 * Geschreven door	: David Herregat a.k.a. Darklandz (www.darklandz.be)
 *
 * versie 1.1
 *
 * 		Log funktie toegevoegd.
 */

/**
 * Veiligheid controle ...
 */
 
if (!defined('dArKCMS')) {	die("Hacking Poging!"); }

class CoreSessieBeheer {
 
	var $gebruikersNaam;
  var $gebruikersId;       
	var $gebruikersGroep;    
  var $tijd;         
      
  function CoreSessieBeheer(){
  	$this->tijd = time();
    session_start();      
	}

	function inloggen($gebruiker, $wachtwoord){
      
      $md5WW = md5($wachtwoord); 
	
			$DBcon	= mysql_connect (DBhost,DBgebruiker,DBwachtwoord) or die ("Kan niet verbinden: " . mysql_error());
			$DBsel	= mysql_select_db (DBnaam,$DBcon);
			$query = mysql_query("SELECT * FROM CoreGebruikers WHERE naam = '$gebruiker' AND wachtwoord = '$md5WW'");   
  
			$results = mysql_num_rows($query);   
  
			if ($results == 1) {   
  	
				while ($obj = mysql_fetch_array($query)) {   
      		$this->gebruikersNaam 	= $_SESSION['username'] = $obj['naam'];
      		$this->gebruikersId 		= $_SESSION['userid'] = $this->maakRandID();
      		$this->gebruikersGroep	= $obj['groep'];
				}
				$this->logAktie('Ingelogd','');
				return true;   
			} else {   
				return false;
			}
			mysql_close($DBcon);
   }

   function uitloggen(){
			$this->logAktie('Uitgelogd','');
      unset($_SESSION['username']);
      unset($_SESSION['userid']);
   }
   
	function checkLogin(){
      
		if(isset($_SESSION['username']) && isset($_SESSION['userid'])) {
    	
			$DBcon	= mysql_connect (DBhost,DBgebruiker,DBwachtwoord) or die ("Kan niet verbinden: " . mysql_error());
			$DBsel	= mysql_select_db (DBnaam,$DBcon);
			$query = mysql_query("SELECT * FROM CoreGebruikers WHERE naam = '".$_SESSION['username']."'");   
  		$results = mysql_num_rows($query);   
  
			if ($results == 1) { return true; } else { return false; }   
      
		} else {
    	return false;
    }
	}
	
	function logAktie($aktie,$details){
		
		$Gebruiker	= $_SESSION['username'];
		$DBcon	= mysql_connect (DBhost,DBgebruiker,DBwachtwoord) or die ("Kan niet verbinden: " . mysql_error());
		$DBsel	= mysql_select_db (DBnaam,$DBcon);
		$query	= mysql_query("INSERT INTO CoreLogs (datum,aktie,gebruiker,details) VALUES (now(),'$aktie','$Gebruiker','$details')");   
		mysql_close($DBcon);		
	}
	   
  function maakRandID(){
      return md5($this->maakRandStr(16));
  }
   
  function maakRandStr($lengte){
  	$randstr = "";
    for($i=0; $i<$lengte; $i++){
    	$randnum = mt_rand(0,61);
      if($randnum < 10){
            $randstr .= chr($randnum+48);
         }else if($randnum < 36){
            $randstr .= chr($randnum+55);
         }else{
            $randstr .= chr($randnum+61);
         }
      }
      return $randstr;
   }
};

/**
 * Sessie object opstarten
 */

$session = new CoreSessieBeheer;
?>